apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: plateforme-formation
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  ingressClassName: nginx
  tls:
    - hosts: ["formation.exemple.bj"]
      secretName: formation-tls
  rules:
    - host: formation.exemple.bj
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: plateforme-formation
                port: { number: 80 }
